DO $$
    DECLARE
        _path character varying(256) := 'patch-2025_12_23-ProjectLabels_Constraint';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15883) THEN
            RETURN;
        END IF;

        BEGIN
 
            alter table public."ProjectLabels" drop CONSTRAINT "ProjectLabels_pkey";
            alter table public."ProjectLabels" add CONSTRAINT "ProjectLabels_pkey" PRIMARY KEY ("Name", "ProjectId");

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;